int strLength (const char *s) {
    int n = 0;
    while (*s != '\0') {
        ++s;
        ++n;
    }

    return n;
}

int strLength1 (const char *s) {
    const char *p = s;
    while (*p != '\0') ++p;
    return p - s;
}

void strCopy (char *s, const char *t) {
    while ((*s = *t) != '\0') {
        s++;
        t++;
    }
}

void strCopy1 (char *s, const char *t) {
    while (*s = *t) {
        s++;
        t++;
    }
}

void strCopy2 (char *s, const char *t) {
    while (*s++ = *t++) 
        ;
}

